#!/bin/bash

#LD_LIBRARY_PATH=opt/spark/lib/simspark
AGENT_BINARY=L3M_rcssagent3d

#BINARY_DIR=/home/bt/Robocup2011/SIMU/RcssagentUse/rcssagent3d/build/
BINARY_DIR=/home/l3msim

NUM_PLAYERS=9
SERVER_IP=127.0.0.1

if [ "$#" = "1" ]; then
  SERVER_IP=$1
fi

killall -9 $AGENT_BINARY &> /dev/null

export LD_LIBRARY_PATH=/usr/local/lib/simspark:$LD_LIBRARY_PATH

for ((i=1;i<=$NUM_PLAYERS;i++)); do
    echo "Running agent No. $i"
     $BINARY_DIR/$AGENT_BINARY --host=$SERVER_IP --num=$i --llc=$NUM_PLAYERS --side=0 &
    sleep 2
done
